## Reference Name (reference_name)

The reference name (reference_name) is an identifier that is declared for a certain validity range and associated with exactly one table. The scope of this declaration is the entire SQL statement.

### Syntax

<reference_name> ::= <identifier>

The identifier may not exceed 32 characters in length.

### Explanation

A reference name specified in various scopes can be associated with different tables or with the same table.

See also:

Column Specification

Selected Column

Table Expression

Recursive DECLARE CURSOR Statement

UPDATE Statement

DELETE Statement